Summary:	WSGI web framework based on Webware/WebKit's servlet model
Summary(pl.UTF-8):	Szkielet aplikacji WWW WSGI oparty na modelu serwletowym Webware/WebKit
Name:		python-Wareweb
Version:	0.3
Release:	3
License:	X11/MIT
Group:		Development/Languages/Python
Source0:	http://cheeseshop.python.org/packages/source/W/Wareweb/Wareweb-%{version}.tar.gz
# Source0-md5:	2f12a625120cb199f0f86d9449829551
URL:		http://pythonpaste.org/
BuildRequires:	python-devel
BuildRequires:	python-modules
BuildRequires:	python-setuptools
BuildRequires:	rpm-pythonprov
%pyrequires_eq  python-modules
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a servlet-style web framework, similar to Webware, but both
more minimal and more convenient.

%description -l pl.UTF-8
Jest to narzędzie do tworzenia serwletów (aplikacji) WSGI, podobne do
Webware, jednak prostsze i bardziej wygodne.

%prep
%setup -q -n Wareweb-%{version}

%build
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
python setup.py install \
	--single-version-externally-managed \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc docs/
%{py_sitescriptdir}/wareweb
%{py_sitescriptdir}/Wareweb*
%changelog
* Sat Jul 20 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-Wareweb.git;a=log;h=master

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> f071a0a
- BR: python-modules, python-setuptools, rpm-pythonprov

* Sat Nov 13 2010 pawelz <pawelz@pld-linux.org> 22d80f4
- release 3

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> c59bbad
- release 2

* Sun Mar 15 2009 duddits <duddits@pld-linux.org> 64c23b2
- up to 0.3

* Tue Oct 14 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 040393f
- release 3

* Fri Oct 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> f076d5d
- release 2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 469f7f9
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> a3c55fe
- converted to UTF-8

* Tue Jan 16 2007 Elan Ruusamäe <glen@pld-linux.org> 506bbbe
- fix duplicate %descriptions

* Tue Jan 31 2006 Jakub Bogusz <qboosh@pld-linux.org> aa3c228
- fix URLs

* Mon Jan 30 2006 radzio <radzio@pld-linux.org> e905fa4
- initial release

